"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngAdd = void 0;
const dependencies_1 = require("@schematics/angular/utility/dependencies");
function ngAdd(_options) {
    return (host, _context) => {
        addDependencies(host);
        return host;
    };
}
exports.ngAdd = ngAdd;
// const getCurrentInstalledAngularVersion = (host: Tree) => {
//     const angularCore = getPackageJsonDependency(host, '@angular/core');
//     if (!angularCore) {
//         throw new SchematicsException(`Could not find @angular/core in package.json dependencies`);
//     }
//     return angularCore.version;
// }
const addDependencies = (host) => {
    const devDependencies = {
        '@angular-devkit/architect': '~0.1102.0',
        '@angular-devkit/core': '~11.2.11',
        '@angular-devkit/schematics': '~11.2.11',
        '@schematics/angular': '~11.2.11',
    };
    for (const devDependenciesKey in devDependencies) {
        dependencies_1.addPackageJsonDependency(host, {
            type: dependencies_1.NodeDependencyType.Dev,
            name: devDependenciesKey,
            version: devDependencies[devDependenciesKey],
        });
    }
};
//# sourceMappingURL=index.js.map